import { Routing } from "./routing.js";
export const HTTPMethod = {
    GET: 'GET',
    POST: 'POST',
    PUT: 'PUT',
    PATH: 'PATCH',
    HEAD: 'HEAD',
    OPTIONS: 'OPTIONS',
    DELETE: 'DELETE',
    ANY: 'ANY',
};
export const Server = (routes, options = { port: 4000 }) => ({
    fetch: Routing(routes),
    ...options
});
export { Router } from './router.js';
