import type { Handler, HandlerMapping, Pipeline } from "./mod.js";
export declare function isPlainObject<T>(object: unknown): object is T;
export declare const isFunction: (value: unknown) => boolean;
export declare function isPipeline(handler: Handler | HandlerMapping | Pipeline): handler is Pipeline;
export declare function isHandlerMapping(handler: Handler | HandlerMapping | Pipeline): handler is HandlerMapping;
export declare function isHandler(handler: Handler | HandlerMapping | Pipeline): handler is Handler;
export declare const compose: <T extends CallableFunction, U>(...functions: T[]) => (args: U) => U;
export declare const segmentize: (pathname: string) => string[];
